edu.isi.pegasus.planner.refiner.cleanup

## Interface CleanupImplementation

All Known Implementing Classes:
  Cleanup, RM

    public interface CleanupImplementation

The interface that defines how the cleanup job is invoked and created.

Version:
  $Revision$
Author:
  Karan Vahi

### Field Summary

Fields
`static java.lang.String` `DEFAULT_CLEANUP_CATEGORY_KEY` Default category for registration jobs
`static java.lang.String` `VERSION` The version number associated with this API Cleanup CleanupImplementation.

### Method Summary

All Methods Instance Methods Abstract Methods
`Job` `createCleanupJob(java.lang.String id, java.util.List files, Job job)` Creates a cleanup job that removes the files from remote working directory.
`void` `initialize(PegasusBag bag)` Intializes the class.

### Field Detail

#### VERSION

    static final java.lang.String VERSION

The version number associated with this API Cleanup CleanupImplementation.

See Also:
  Constant Field Values

#### DEFAULT_CLEANUP_CATEGORY_KEY

    static final java.lang.String DEFAULT_CLEANUP_CATEGORY_KEY

Default category for registration jobs

See Also:
  Constant Field Values

### Method Detail

#### initialize

    void initialize(PegasusBag bag)

Intializes the class.

Parameters:
  `bag` - bag of initialization objects

#### createCleanupJob

    Job createCleanupJob(java.lang.String id,
                         java.util.List files,
                         Job job)

Creates a cleanup job that removes the files from remote working directory. This will eventually make way to it's own interface.

Parameters:
  `id` - the identifier to be assigned to the job.
  `files` - the list of `PegasusFile` that need to be cleaned up.
  `job` - the primary compute job with which this cleanup job is associated.
Returns:
  the cleanup job.